sh_flow.d(1m)

NAME
sh_flow.d - snoop Bourne shell execution showing function flow using DTrace.

SYNOPSIS
sh_flow.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. This watches shell function entries and returns, and indents child function calls. Shell builtins are also printed.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_flow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

NAME
    Shell function, builtin or command name

LEGEND

->  function entry

<-  function return

>   builtin

|   external command

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_flow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)